Results 1 to 4 of 4

Thread: Btrieve & Winnt

  1. #1
    Join Date
    Feb 2004
    Location
    India
    Posts
    3

    Unanswered: Btrieve & Winnt

    Hi,
    I have btrieve 6.15 installed on netware server.I need to access this data from windows nt 4.0 workstation.CSNW(client service for netware) is installed .How do i proceed?. i 'm using VB for developing the application.

    Please help me out

    Padakannaya

  2. #2
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    With Btrieve 6.15, you'll need the Win32 client on the WInNT 4.0 system. The only reliable way to access data with Btrieve 6.15 was with the Btrieve API. If you've got a Btrieve 6.15 SDK, you'll have VB 4.0 sample code that will also work in VB 6.0.
    That being said, I would suggest upgrading to Pervasive.SQL V8. It's the current version of Btrieve, is still supported by Pervasive (while Btrieve 6.15 isn't), and has an SDK that has a number of access methods including ODBC, the Btrieve API, ActiveX, and OLEDB.
    There's also a white paper on accessing Pervasive from VB on Pervasive's web site (http://www.pervasive.com/documentati...Whitepaper.pdf).
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  3. #3
    Join Date
    Feb 2004
    Location
    India
    Posts
    3
    Thanks for the reply,

    I can not Upgrade to Pervasive SQL.So only method is through 6.15 win32 client And SDK.

    But I dont Have them.How Can i get them?

    I have just downloaded Pervasive Sql V8 win32 client And SDK Can i Use them?


    Thank You

  4. #4
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    Why can't you upgrade to V8? It is backward compatible and should be able to read the data correctly.
    In terms of the V8 SDK, you might be able to get it to work with Btrieve 6.15 but the interface DLL changed between 6.15 and V8 (actually it changed in V7) so you'd need to change that.
    If you are going to use 6.15, you need to remove the V8 engine so it doesn't load.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •